---
lang: en
title: 'API docs: context.binding._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.binding._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [(constructor)](./context.binding._constructor_.md)

## Binding.(constructor)

Constructs a new instance of the `Binding` class

<b>Signature:</b>

```typescript
constructor(key: BindingAddress<T>, isLocked?: boolean);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | [BindingAddress](./context.bindingaddress.md)<!-- -->&lt;T&gt; |  |
|  isLocked | boolean |  |


